/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1991 by Mike Parker.				    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

/* Control level code for the diagnostic program 'rateTest' */

#include "../h/rci.h"

#include "rateTest.h"

int running;
int pvbuf[SZ+1];
int pvx;
int ucounter;
int lastu;

startupfxn()
{
 lastu = 0;
 ucounter = 0;
}

controlfxn()
{
 if (! running) return;
 pvbuf[pvx++] = ucounter - lastu;
 lastu = ucounter;
 if (pvx >= SZ+1) running = 0;
}

releasefxn()
{
}
